Bug 229081 - [New port] databases/p5-DBIx-Class-AuditLog
Summary: [New port] databases/p5-DBIx-Class-AuditLog
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-17 08:59 UTC by Tomohiro Hosaka
Modified: 2019-01-05 19:10 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (5.39 KB, patch)
2018-06-17 08:59 UTC, Tomohiro Hosaka
no flags Details | Diff
shar (3.67 KB, text/plain)
2018-06-23 03:53 UTC, Tomohiro Hosaka
no flags Details
shar (3.71 KB, text/plain)
2018-06-23 04:34 UTC, Tomohiro Hosaka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2018-06-17 08:59:36 UTC
Created attachment 194324 [details]
svn diff

Included files that I often referred to after installation.

%%SITE_PERL%%/auto/share/dist/DBIx-Class-AuditLog/utils/generate_dbic_schema.pl
%%SITE_PERL%%/auto/share/dist/DBIx-Class-AuditLog/utils/test_schema.pl
%%SITE_PERL%%/auto/share/dist/DBIx-Class-AuditLog/utils/update_reserved_columns.pl

* portlint ok
* poudriere testport ok (11.1, amd64, svn-head)
* make test ok
Comment 1 Tomohiro Hosaka 2018-06-23 03:53:00 UTC
Created attachment 194518 [details]
shar

NO_ARCH=yes added.
Comment 2 Tomohiro Hosaka 2018-06-23 04:34:56 UTC
Created attachment 194522 [details]
shar

I slightly fixed the description.
Comment 3 commit-hook freebsd_committer 2019-01-05 19:09:53 UTC
A commit references this bug:

Author: swills
Date: Sat Jan  5 19:09:14 UTC 2019
New revision: 489366
URL: https://svnweb.freebsd.org/changeset/ports/489366

Log:
  databases/p5-DBIx-Class-AuditLog: create port

  Simple activity audit logging for DBIx::Class. Save the update contents in
  another tables.

  WWW: https://metacpan.org/release/DBIx-Class-AuditLog

  PR:		229081
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in>

Changes:
  head/databases/Makefile
  head/databases/p5-DBIx-Class-AuditLog/
  head/databases/p5-DBIx-Class-AuditLog/Makefile
  head/databases/p5-DBIx-Class-AuditLog/distinfo
  head/databases/p5-DBIx-Class-AuditLog/pkg-descr
  head/databases/p5-DBIx-Class-AuditLog/pkg-plist
Comment 4 Steve Wills freebsd_committer 2019-01-05 19:10:36 UTC
Committed, thanks!